from django.test import TestCase

from utilities.chem import FormatConverter


class FormatConverterTestCase(TestCase):
    def test_standardization(self):
        smiles = "C[n+]1c([N-](C))cccc1"
        standardized_smiles = FormatConverter.standardize(smiles, remove_stereo=True)
        self.assertEqual(standardized_smiles, "CN=C1C=CC=CN1C")
